#version 430
uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
layout (location=0) in vec3 vPosition;
layout (location=1) in vec3 vPosition2;
layout (location=2) in vec4 aColor;
out vec4 vColor;
uniform float pose1;
uniform float pose2;
void main(){
vec4 poseTotal = pose1 * vec4(vPosition,1.0) + pose2 * vec4(vPosition2,1.0);
gl_Position = uPMatrix * uMVMatrix * poseTotal;
vColor = vec4(0.0, 1.0, 1.0, 1.0); //TODO: Sustituir por textura o colores definidos por punto
}
