#version 430
uniform mat4 uMVMatrix;
uniform mat4 uPMatrix;
layout (location=0) in vec3 vPosition;
layout (location=1) in vec3 vPosition2;
layout (location=2) in vec2 tex_coord;
out vec2 tc;
out vec4 sumColor;
layout (binding=0) uniform sampler2D s;
uniform float pose1;
uniform float pose2;
uniform vec4 alterColor;
void main(){
vec4 poseTotal = pose1 * vec4(vPosition,1.0) + pose2 * vec4(vPosition2,1.0);
sumColor = alterColor;
tc = tex_coord;
gl_Position = uPMatrix * uMVMatrix  * poseTotal;
}
